Promo Sprint: Topics
Closed, ResolvedPublic

Description

Help us decide what topics we should work on.

paulb created this task.Oct 25 2017, 6:58 AM

Here are some general suggestions; I'll come back to expand and refine them:

  1. Assessing the current state of KDE Promo - what works, what doesn't, what do we need the most help with... Part of this can be the discussion on how to attract and onboard new contributors.
  1. Defining goals and long-term plans (getting feedback on our marketing strategy draft and improving it together)
  1. Preparing smaller tasks and campaigns based on 2. (basically, things we can start doing immediately to advance the goals we've agreed on)
  1. Analyze the data generated by social media to think of plans to spread KDE and it projects.(Piwik for KDE sites, Analytic tools of social media for the rest)
  2. Start to make guidelines for promo material, like photo size, blog posts structure... (Was discussed on the channel a couple days ago)
  1. BehindKDE - Involving new contributors, make it as active. For the new contributors who are interested in marketing/ non coding tasks, we can suggest this program
  2. Can provide tasks related to KDE promo in GCI for young students
  3. We can think of having KDE ambassadors to let the world know about us in educational institutions/ offices and different regions. To make it interesting, we can assign them different badges like beginner, expert, advanced etc
neofytosk added a comment.EditedNov 3 2017, 7:53 PM
  1. Linking any possible goals to KDE community's actions.
    • What behaviors of community members would be beneficial for KDE and how can we promote and enable them?
    • How can we turn a large yet passive audience into active promoters and contributors?
  2. Consider promoting and reaching out to other organizations/projects/companies and assess any possible partnerships. Can we get:
    • hardware businesses to ship KDE's products by default?
    • organizations to switch to KDE's software solutions?
icosta added a subscriber: icosta.Nov 7 2017, 8:51 AM

Some ideas for possible topics:

  1. Data. Gathering data about KDE brand, adoption, target markets, needs, awareness, etc.
  2. What makes KDE remarkable? What is our "purple cow"?
  3. Thinking outside the box. What haven't we thought off before? We could do some creative brainstorming. There are nice formats for this.
  4. Looking back. What has worked before? What can we do again?
  5. Create a campaign for KDE. Using our values, purpose, vision, mission, we could concretely plan a marketing campaign. I see billboards and TV ads ;-)
  6. How to tap into the resources of 20 years of history?
  7. Review marketing strategy. Feedback on plans and ideas.

It might be good if the people most actively working on marketing could indicate what would be of the highest value for them. Working on strategy, making concrete plans, solving imminent problems, whatever. To give some guidance how we can get the most value out of the meeting.

paulb added a comment.Nov 8 2017, 12:27 PM

Mine:

  1. Develop a comprehensive, but simple checklist that will allow project managers know if there web is audience-friendly
  2. Develop an event that will help more end users become familiar with KDE apps and environments
  3. Develop a list of things to do to boost our presence at technical-events held by others, based on experience at QtWS 2017
  4. Brainstorm and develop ways of having a presence in non-technical or, at least non-FLOSS specific conferences and events
  5. There is a proposal in T6895 that suggests trying to make KDE the default tech solution for research and academia. Brainstorm more specialised fields we could attack and how to go about it involving developers
  6. Brainstorm more actions to reach end-end users
  1. Set up a boilerplate for crowdfunding campaigns. Get the Promo and Fundraising WG, and work on it, so half of the work will be done when we need to work on a campaign.
  1. Leverage switch to smartphones as main computational device

Target groups

  1. Users open to switch to a new UI/UX paradigm (each company ships its own android)
  2. Tech-savvies rooting their devices and installing custom ROMs
  3. Developers creating mobile apps

Possible strategies

  • Group 1 : Apply the "UI/UX change" habit to desktop
  • Group 2: Highlight UI/UX paradigm of kirigami HUG
  • Group 3: Ability to create convergent apps, working on all linux distros and plasma mobile
  1. Promotion resources are usually scarce in FOSS communities. Coordinate with FOSS communities that we share technologies or values. KDE people may promote their work and vice versa.
  1. Invest effort in creating/strengthening local KDE communities. LoCos may act as reference points among local KDE users, serving as 1st level support and make language barriers easier to overcome.
  1. Connect points 26 and 27. Since many FOSS community members are also KDE users, they may play the role of edges to connect these points.

We have a lot of great and useful suggestions here. Since Paul has already started organizing them into categories, I won't interfere with his work in that area.

However, I'd like to point out that it might be good to agree on two or three actionable goals for this sprint.
Meaning, pick 2 or 3 things we could actually get done at the sprint, instead of just discussing them and planning for the future.
(Of course, planning is necessary and long overdue, but it would be nice if we could report on having completed some tasks during the sprint. :)).

My suggestions for these tasks:

+ create a repository of visual assets for social media
We seem to be in dire need of quality KDE-related images to use in social media posts. We should decide where to host this repository (Nextcloud? somewhere else?) and define a process for collaborating with VDG on creating the images (how to request new images?). This is related to suggestions 5. and 24., both by @laysrodrigues

+ come up with a plan to promote Akademy 2018
This is a smaller and more focused task than, say, coming up with a marketing strategy for the entire year, so it should be easier and more realistic to complete during the sprint. Besides, we need to start promoting Akademy much earlier (and more aggressively :)) than last year if we want to attract more attendees and media attention. We could come up with different content types we'll use to promote Akademy, and assign roles to team members (who will do what - person X will do design stuff, person Y is in charge of videos, person Z will write articles about speakers...).

Anyway, these are just suggestions. Feel free to let me know if they don't make sense :)

abetts added a subscriber: abetts.Jan 2 2018, 3:03 PM
James added a subscriber: James.Jan 2 2018, 7:29 PM
  • hardware businesses to ship KDE's products by default?
  • organizations to switch to KDE's software solutions?

This likely should be a sub-group of Promo that has only these types of goals in mind, consisting of people who have either worked in providing software solutions to organizations of any size or those who wish to get into this these types of marketing activities. It's too sharp of a focus for it to work within the large umbrella that is Promo in general. If such a sub-group were made, I would be happy to join and bounce ideas.

Suggested tasks for the sprint are now grouped on the wiki page:

https://community.kde.org/Sprints/Promo/2018#Suggested_Topics_and_Tasks

The next step is to further clean up the list so that we can have a productive and focused sprint.

paulb moved this task from Backlog to Doing on the KDE Promo board.Feb 5 2018, 12:55 PM
skadinna moved this task from Doing to Done on the KDE Promo board.Feb 17 2018, 5:11 PM
paulb closed this task as Resolved.Feb 21 2018, 5:55 PM